# Utility functions

## Functions

template<typename ITER>
PGSTD::string | pqxx::separated_list (const PGSTD::string &sep, ITER begin, ITER end)
| Render sequence as a string, using given separator between items.
template<typename OBJ>
PGSTD::string | pqxx::separated_list (const PGSTD::string &sep, OBJ *begin, OBJ *end)
| Render array as a string, using given separator between items.
template<typename CONTAINER>
PGSTD::string | pqxx::separated_list (const PGSTD::string &sep, const CONTAINER &c)
| Render items in a container as a string, using given separator.

## Function Documentation

template<typename CONTAINER>

PGSTD::string pqxx::separated_list | ( | const PGSTD::string & | sep,
|  | const CONTAINER & | c |
| ) |  |  |

Render items in a container as a string, using given separator.

template<typename OBJ>

PGSTD::string pqxx::separated_list | ( | const PGSTD::string & | sep,
|  | OBJ * | begin,
|  | OBJ * | end |
| ) |  |  |

Render array as a string, using given separator between items.

template<typename ITER>

PGSTD::string pqxx::separated_list | ( | const PGSTD::string & | sep,
|  | ITER | begin,
|  | ITER | end |
| ) |  |  |

Render sequence as a string, using given separator between items.